## zps-1.2.7-1.src.tar.gz

=== CMakeLists.txt ===
# CMake minimum required: 3.15
cmake_minimum_required(VERSION 3.15)
# Project information
project(zps C)
# Target
set(TARGET "zps")
# Add project source
add_executable(${TARGET} src/${TARGET}.c src/${TARGET}.h)
# Compile options
target_compile_options(${TARGET} PRIVATE -s -O3 -Wall -Wextra -pedantic)
# Install
install(TARGETS ${TARGET} RUNTIME DESTINATION bin)

=== Makefile ===
# Project and compiler information
NAME := zps
CFLAGS := -s -O3 -Wall -Wextra -pedantic
ifeq ($(CC),)
    CC := gcc
endif
all: clean build
# Build the project
build:
	mkdir -p build
	$(CC) $(CFLAGS) src/$(NAME).c -o build/$(NAME)
	cp -prf .application/$(NAME).desktop build/$(NAME).desktop
# Make the installation
install:
	# Create directories if doesn't exist
	mkdir -p $(TARGET)/usr/bin
	mkdir -p $(TARGET)/usr/share/applications
	# Install
	install build/$(NAME) $(TARGET)/usr/bin/$(NAME)
	install build/$(NAME).desktop $(TARGET)/usr/share/applications/$(NAME).desktop
# Clean
clean:
	rm -rf build

.PHONY: all build install clean

=== PKGBUILD ===
# Maintainer: Orhun Parmaksız <orhun@archlinux.org>

pkgname=zps
pkgver=1.2.7
pkgrel=1
pkgdesc="A small utility for listing and cleaning up zombie processes"
arch=('x86_64')
url="https://github.com/orhun/zps"
license=('GPL3')
depends=('glibc')
makedepends=('cmake')
source=("$pkgname-$pkgver.tar.gz::$url/archive/$pkgver.tar.gz")
sha512sums=('f65c9d197822cc86d436afb22defaa8061fcb97079192634b8fd60b7990e814d224516fb86d55708cdf1aafd7cc25ac5d273b76b5b5f0308695a33ad92923429')

build() {
  cd "$pkgname-$pkgver"
  mkdir -p build && cd build/
  cmake ../ -DCMAKE_INSTALL_PREFIX=/usr
  make
}

package() {
  cd "$pkgname-$pkgver/build"
  make DESTDIR="$pkgdir" install
  install -Dm 644 "../README.md" -t "$pkgdir/usr/share/doc/$pkgname"
  install -Dm 644 "../man/$pkgname.1" -t "$pkgdir/usr/share/man/man1"
  install -Dm 644 "../.application/$pkgname.desktop" -t "$pkgdir/usr/share/applications"
}

# vim: ts=2 sw=2 et:
